Standalone
Creates an Azure Virtual Desktop Host from a Standalone Azure Virtual Desktop Host Pool.
Query parameters
siteIdinteger · int32Optional
Site ID for which to create the Azure Virtual Desktop Host (optional)
Body
hostPoolIdinteger · int32Required
Host Pool Id of the AVD Host.
azureIdstring · min: 1 · max: 255 · nullableRequired
The Azure Host ID of the AVD Host. Found as Resource ID in Azure.
Responses
204
No Content
No content
400
Bad Request
application/json; api-version=1.0
401
Unauthorized
application/json; api-version=1.0
post/api/Provider/VM/AVDHost/Standalone
POST /api/Provider/VM/AVDHost/Standalone HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 33
{
"hostPoolId": 1,
"azureId": "text"
}No content
Removes an Azure Virtual Desktop Host from a Standalone Azure Virtual Desktop Host Pool.
Query parameters
siteIdinteger · int32Optional
Site ID for which to remove the Azure Virtual Desktop Host (optional)
Body
hostPoolIdinteger · int32Required
Host Pool Id.
azureIdstring · min: 1 · max: 255 · nullableRequired
The Azure Host ID.
Responses
204
No Content
No content
400
Bad Request
application/json; api-version=1.0
401
Unauthorized
application/json; api-version=1.0
delete/api/Provider/VM/AVDHost/Standalone
DELETE /api/Provider/VM/AVDHost/Standalone HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 33
{
"hostPoolId": 1,
"azureId": "text"
}No content